# Liquidity Provision

To facilitate low-slippage stable coins to USDV conversion, we deploy a list of Liqiudity Provision (LP) contracts on [different chains](/docs/technical-reference/deployments.md):

### Ethereum

Supports stable coins to STBT conversion

```
interface IToSTBTLp {
    function getSupportedTokens() external view returns (address[] memory tokens);

    function swapToSTBT(address _fromToken, uint _fromTokenAmount, uint _minStbtOut) external returns (uint stbtOut);

    function getSwapToSTBTAmountOut(address _fromToken, uint _fromTokenAmount) external view returns (uint stbtOut);
}
```

### Non Ethereum

Supports stable coins to USDV conversion

```
interface IToUSDVLp {
    function getSupportedTokens() external view returns (address[] memory tokens);

    function swapToUSDV(
        address _fromToken,
        uint _fromTokenAmount,
        uint _minStbtOut,
        address _receiver
    ) external returns (uint usdvOut);

    function getUSDVOut(address _fromToken, uint _fromTokenAmount) external view returns (uint usdvOut);
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usdv.money/docs/technical-reference/liquidity-provision.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
